/// <reference types="data-generator" />
import { Logger } from 'log4js';
export declare const dummyCustomSchema: CustomSchema;
export default class Customizer {
    private customSchema;
    private dbConnector;
    private logger;
    constructor(customSchema: CustomSchema, dbConnector: DatabaseConnector, logger: Logger);
    customize(schema: Schema): Promise<CustomSchema>;
    private customizeTable;
    private extractForeignKeys;
    private orderTablesByForeignKeys;
}
