import { Logger } from 'log4js';
import { CustomizedSchema } from '../schema/customized-schema.class';
import { DatabaseConnector } from '../database/database-connector-builder';
export declare class Filler {
    private dbConnector;
    private schema;
    private logger;
    private random;
    private continue;
    constructor(dbConnector: DatabaseConnector, schema: CustomizedSchema, logger: Logger);
    gotoNextTable(): void;
    private empty;
    fillTables(reset?: boolean): Promise<void>;
    private fill;
    private beforeAll;
    private afterAll;
    private before;
    private generateData;
    private after;
}
