/// <reference types="data-generator" />
import { Logger } from 'log4js';
export declare class Generator {
    private dbConnector;
    private schema;
    private logger;
    private random;
    private continue;
    constructor(dbConnector: DatabaseConnector, schema: CustomSchema, logger: Logger);
    gotoNextTable(): void;
    private empty;
    private getForeignKeyValues;
    fillTables(reset?: boolean): Promise<void>;
    private fill;
    private beforeAll;
    private afterAll;
    private before;
    private generateData;
    private after;
}
